<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <style>
        .payment-info {
            background: blue;
            padding: 10px;
            border-radius: 6px;
            color: #fff;
            font-weight: bold
        }

        .product-details {
            padding: 10px
        }

        body {
            background: #eee
        }

        .cart {
            background: #fff
        }

        .p-about {
            font-size: 12px
        }

        .table-shadow {
            -webkit-box-shadow: 5px 5px 15px -2px rgba(0, 0, 0, 0.42);
            box-shadow: 5px 5px 15px -2px rgba(0, 0, 0, 0.42)
        }

        .type {
            font-weight: 400;
            font-size: 10px
        }

        label.radio {
            cursor: pointer
        }

        label.radio input {
            position: absolute;
            top: 0;
            left: 0;
            visibility: hidden;
            pointer-events: none
        }

        label.radio span {
            padding: 1px 12px;
            border: 2px solid #ada9a9;
            display: inline-block;
            color: #8f37aa;
            border-radius: 3px;
            text-transform: uppercase;
            font-size: 11px;
            font-weight: 300
        }

        label.radio input:checked+span {
            border-color: #fff;
            background-color: blue;
            color: #fff
        }

        .credit-inputs {
            background: rgb(102, 102, 221);
            color: #fff !important;
            border-color: rgb(102, 102, 221)
        }

        .credit-inputs::placeholder {
            color: #fff;
            font-size: 13px
        }

        .credit-card-label {
            font-size: 9px;
            font-weight: 300
        }

        .form-control.credit-inputs:focus {
            background: rgb(102, 102, 221);
            border: rgb(102, 102, 221)
        }

        .line {
            border-bottom: 1px solid rgb(102, 102, 221)
        }

        .information span {
            font-size: 12px;
            font-weight: 500
        }

        .information {
            margin-bottom: 5px
        }

        .items {
            -webkit-box-shadow: 5px 5px 4px -1px rgba(0, 0, 0, 0.25);
            box-shadow: 5px 5px 4px -1px rgba(0, 0, 0, 0.08)
        }

        .spec {
            font-size: 11px
        }
    </style>
</head>
<body>
<div class="container mt-5 p-3 rounded cart">
    <div class="row no-gutters">
        <div class="col-md-8">
            <div class="product-details mr-2">
                <div class="d-flex flex-row align-items-center"><i class="fa fa-long-arrow-left"></i><span class="ml-2">
                    <a th:href="@{/all_product}">
                      Continue to shopping
                    </a>
                </div>
                <hr>
                <h6 class="mb-0">Shopping cart</h6>
                    <div th:each="cartItem: ${cartItems}">
                        <form th:action="@{/carts/update}" method="post">
                        <div class="d-flex justify-content-between align-items-center mt-3 p-2 items rounded">
                            <input name="productId" type="hidden" th:value="${cartItem.productId}">
                            <div class="d-flex flex-row"><img class="rounded" th:src="${cartItem.image != null ? '/admin/products/images/' + cartItem.image  : '/admin/products/images/noimg.png'}" width="40">
                                <div class="ml-2"><span class="font-weight-bold d-block" th:text="${cartItem.name}"></span></div>
                            </div>
                            <div class="d-flex flex-row align-items-center">
                                <input type="number" step="1" class="d-block" name="quantity" th:value="${cartItem.quantity}" style="width: 50px" onblur="this.form.submit()">
                                <span class="d-block ml-5 font-weight-bold" th:text="${cartItem.price} + '$'"></span><i class="fa fa-trash-o ml-3 text-black-50"></i>
                                <span class="d-block ml-5 font-weight-bold" th:text="${cartItem.price}*${cartItem.quantity} + '$'"></span><i class="fa fa-trash-o ml-3 text-black-50"></i>
                            </div>
                            <a th:href="@{'/carts/del/' + ${cartItem.productId}}"}>
                                <button>
                                    Remove
                                </button>
                            </a>
                        </div>
                        </form>
                    </div>


            </div>
            <h3 th:text="'Num of Items: ' + ${numberOfItems}"></h3>
            <a href="/carts/clear">
                <button>
                    CLear
                </button>
            </a>
        </div>
        <div class="col-md-4">
            <div class="payment-info">
                <div class="d-flex justify-content-between align-items-center"><span>Card details</span></div><span class="type d-block mt-3 mb-1">Card type</span><label class="radio"> <input type="radio" name="card" value="payment" checked> <span><img width="30" src="https://img.icons8.com/color/48/000000/mastercard.png" /></span> </label>
                <label class="radio"> <input type="radio" name="card" value="payment"> <span><img width="30" src="https://img.icons8.com/officel/48/000000/visa.png" /></span> </label>
                <label class="radio"> <input type="radio" name="card" value="payment"> <span><img width="30" src="https://img.icons8.com/ultraviolet/48/000000/amex.png" /></span> </label>
                <label class="radio"> <input type="radio" name="card" value="payment"> <span><img width="30" src="https://img.icons8.com/officel/48/000000/paypal.png" /></span> </label>
                <div><label class="credit-card-label">Name on card</label><input type="text" class="form-control credit-inputs" placeholder="Name"></div>
                <div><label class="credit-card-label">Card number</label><input type="text" class="form-control credit-inputs" placeholder="0000 0000 0000 0000"></div>
                <div class="row">
                    <div class="col-md-6"><label class="credit-card-label">Date</label><input type="text" class="form-control credit-inputs" placeholder="MM/YY"></div>
                    <div class="col-md-6"><label class="credit-card-label">CVV</label><input type="text" class="form-control credit-inputs" placeholder="CVV"></div>
                </div>
                <hr class="line">
                <div class="d-flex justify-content-between information"><span>Phi ban dau</span><span th:text="${totalPrice} +'$'"></span></div>
                <div class="d-flex justify-content-between information"><span>Shipping</span><span>$2</span></div>
                <div class="d-flex justify-content-between information"><span>Tong</span><span th:text="${totalPrice}+2 + '$'"></span></div><a th:href="@{/bill}" class="btn btn-primary btn-block d-flex justify-content-between mt-3" type="button"><span th:text="${totalPrice}+2"></span><span>Checkout<i class="fa fa-long-arrow-right ml-1"></i></span></a>
            </div>
        </div>
    </div>
</div>
</body>
</html>
